Bug 809402 - manpage doesn't mention --obsoletes
manpage doesn't mention --obsoletes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-03 05:29 EDT by Paul Bolle
Modified: 2012-04-17 00:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-17 00:52:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Bolle 2012-04-03 05:29:34 EDT
Description of problem:
rpm's manpage doesn't mention the --obsoletes query-option.

Version-Release number of selected component (if applicable):
4.9.90-0.git11505.10.fc18

How reproducible:
n/a

Steps to Reproduce:
1. n/a
2.
3.
  
Actual results:
n/a

Expected results:
n/a

Additional info:
0) The --obsoletes query-option is defined in /usr/lib/rpm/rpmpopt-4.9.90. So are the --conflicts, --provides, and --requires query-options. These last three options are mentioned and documented in the manpage but the --obsoletes option isn't.

1) I'd be happy to provide the (trivial) patch to add the --obsoletes option to the manpage. I also don mind contacting upstream if needed. So feel free to ask me to submit a patch and to tell me where to submit it.
Comment 1 Fedora Admin XMLRPC Client 2012-04-13 19:08:09 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2012-04-13 19:11:34 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Panu Matilainen 2012-04-17 00:52:26 EDT
Fixed upstream + rawhide now.

Note You need to log in before you can comment on or make changes to this bug.